For the complete documentation index, see llms.txt. This page is also available as Markdown.

Datagrid Values

patch

Updates a datagrid value.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
detailany ofOptional
or
or
or
Responses
200

The datagrid value was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
datagridColumnIdstring · uuidRequired

A UUID v4 string that identifies an entity.

datagridIdstring · uuidRequired

A UUID v4 string that identifies an entity.

datagridRowIdstring · uuidRequired

A UUID v4 string that identifies an entity.

detailany ofRequired
or
or
or
patch/api/v1/datagrid-values/{id}
PATCH /api/v1/datagrid-values/{id} HTTP/1.1
Host: api.endless.zaia.app
authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "detail": {
    "type": "string",
    "value": "text"
  }
}
{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "datagridColumnId": "123e4567-e89b-12d3-a456-426614174000",
  "datagridId": "123e4567-e89b-12d3-a456-426614174000",
  "datagridRowId": "123e4567-e89b-12d3-a456-426614174000",
  "detail": {
    "type": "string",
    "value": "text"
  }
}

Last updated